diff --git a/src/main/java/net/minecraft/core/net/packet/Packet41EntityPlayerGamemode.java b/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
similarity index 54%
rename from src/main/java/net/minecraft/core/net/packet/Packet41EntityPlayerGamemode.java
rename to src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
index b66936686..c632cc47b 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet41EntityPlayerGamemode.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
@@ -1,27 +1,27 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, DataWatcher, NetHandler
+//            Packet, DataWatcher, PacketHandler
 
-public class Packet41EntityPlayerGamemode extends Packet
+public class PlayerGamemodePacket extends Packet
 {
 
-    public Packet41EntityPlayerGamemode()
+    public PlayerGamemodePacket()
     {
     }
     
-    public Packet41EntityPlayerGamemode(int entityId, int gamemodeId)
+    public PlayerGamemodePacket(int entityId, int gamemodeId)
     {
         this.entityId = entityId;
         this.gamemodeId = gamemodeId;
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         entityId = dis.readInt();
@@ -29,7 +29,7 @@ public class Packet41EntityPlayerGamemode extends Packet
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeInt(entityId);
@@ -37,13 +37,13 @@ public class Packet41EntityPlayerGamemode extends Packet
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleEntityPlayerGamemode(this);
+        packetHandler.handleEntityPlayerGamemode(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 5;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet138PlayerList.java b/src/main/java/net/minecraft/core/net/packet/PlayerListPacket.java
similarity index 67%
rename from src/main/java/net/minecraft/core/net/packet/Packet138PlayerList.java
rename to src/main/java/net/minecraft/core/net/packet/PlayerListPacket.java
index 34430e211..0fc74c371 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet138PlayerList.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlayerListPacket.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet138PlayerList extends Packet {
+public class PlayerListPacket extends Packet {
 	
 	public String[] players;
 	/**
@@ -15,18 +15,18 @@ public class Packet138PlayerList extends Packet {
 	public String[] scores;
 	public int count;
 	
-	public Packet138PlayerList() {
+	public PlayerListPacket() {
 		
 	}
 
-	public Packet138PlayerList(int playerCount, String[] players, String[] scores) {
+	public PlayerListPacket(int playerCount, String[] players, String[] scores) {
 		this.count = playerCount;
 		this.players = players;
 		this.scores = scores;
 	}
 
 	@Override
-	public void readPacketData(DataInputStream in) throws IOException {
+	public void read(DataInputStream in) throws IOException {
 		count = in.readInt();
 		players = new String[count];
 		scores = new String[count];
@@ -38,7 +38,7 @@ public class Packet138PlayerList extends Packet {
 	}
 
 	@Override
-	public void writePacketData(DataOutputStream out) throws IOException {
+	public void write(DataOutputStream out) throws IOException {
 		out.writeInt(count);
 		
 		for(int i=0; i < count; i++) {
@@ -48,12 +48,12 @@ public class Packet138PlayerList extends Packet {
 	}
 
 	@Override
-	public void processPacket(NetHandler netHandler) {
-		netHandler.handlePlayerList(this);
+	public void handlePacket(PacketHandler packetHandler) {
+		packetHandler.handlePlayerList(this);
 	}
 
 	@Override
-	public int getPacketSize() {
+	public int getEstimatedSize() {
 		int size = 4;
 
 		for(int i=0; i < scores.length; i++) {
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet2Handshake.java b/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
similarity index 53%
rename from src/main/java/net/minecraft/core/net/packet/Packet2Handshake.java
rename to src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
index 42cfef02d..c071a84dc 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet2Handshake.java
+++ b/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
@@ -1,49 +1,49 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet2Handshake extends Packet
+public class PreLoginPacket extends Packet
 {
+    public String username;
+
 
-    public Packet2Handshake()
+    public PreLoginPacket()
     {
     }
 
-    public Packet2Handshake(String s)
+    public PreLoginPacket(String s)
     {
         username = s;
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         username = readString(dis, 32);
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         writeString(username, dos);
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleHandshake(this);
+        packetHandler.handleHandshake(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 4 + username.length() + 4;
     }
-
-    public String username;
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet75RecipeSync.java b/src/main/java/net/minecraft/core/net/packet/RecipeSyncPacket.java
similarity index 54%
rename from src/main/java/net/minecraft/core/net/packet/Packet75RecipeSync.java
rename to src/main/java/net/minecraft/core/net/packet/RecipeSyncPacket.java
index e2ebd2030..98e234ffb 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet75RecipeSync.java
+++ b/src/main/java/net/minecraft/core/net/packet/RecipeSyncPacket.java
@@ -2,45 +2,44 @@ package net.minecraft.core.net.packet;
 
 import net.minecraft.core.data.DataLoader;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
-import net.minecraft.core.data.registry.recipe.RecipeRegistry;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet75RecipeSync extends Packet {
+public class RecipeSyncPacket extends Packet {
 
     public String recipe;
     public long maxRecipes;
 
-    public Packet75RecipeSync(RecipeEntryBase<?,?,?> recipe, long maxRecipes) {
+    public RecipeSyncPacket(RecipeEntryBase<?,?,?> recipe, long maxRecipes) {
         this.recipe = DataLoader.serializeRecipe(recipe);
         this.maxRecipes = maxRecipes;
     }
 
-    public Packet75RecipeSync(){}
+    public RecipeSyncPacket(){}
 
 
     @Override
-    public void readPacketData(DataInputStream dis) throws IOException {
+    public void read(DataInputStream dis) throws IOException {
         recipe = dis.readUTF();
         maxRecipes = dis.readLong();
     }
 
     @Override
-    public void writePacketData(DataOutputStream dos) throws IOException {
+    public void write(DataOutputStream dos) throws IOException {
         dos.writeUTF(recipe);
         dos.writeLong(maxRecipes);
     }
 
     @Override
-    public void processPacket(NetHandler netHandler) {
-        netHandler.handleSyncedRecipe(this);
+    public void handlePacket(PacketHandler packetHandler) {
+        packetHandler.handleSyncedRecipe(this);
     }
 
     @Override
-    public int getPacketSize() {
+    public int getEstimatedSize() {
         return recipe.getBytes().length;
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet29DestroyEntity.java b/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
similarity index 50%
rename from src/main/java/net/minecraft/core/net/packet/Packet29DestroyEntity.java
rename to src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
index cc7dc302a..7988e9688 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet29DestroyEntity.java
+++ b/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
@@ -1,46 +1,46 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet29DestroyEntity extends Packet
+public class RemoveEntityPacket extends Packet
 {
 
-    public Packet29DestroyEntity()
+    public RemoveEntityPacket()
     {
     }
     
-    public Packet29DestroyEntity(int i)
+    public RemoveEntityPacket(int i)
     {
         entityId = i;
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         entityId = dis.readInt();
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeInt(entityId);
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleDestroyEntity(this);
+        packetHandler.handleDestroyEntity(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 4;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet9Respawn.java b/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
similarity index 60%
rename from src/main/java/net/minecraft/core/net/packet/Packet9Respawn.java
rename to src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
index a6f4e35f8..51773fe6f 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet9Respawn.java
+++ b/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
@@ -1,33 +1,36 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet9Respawn extends Packet
+public class RespawnPacket extends Packet
 {
+    public byte respawnDimensionId;
+    public byte respawnWorldTypeId;
+
 
-    public Packet9Respawn()
+    public RespawnPacket()
     {
     }
 
-    public Packet9Respawn(byte respawnDimensionId, byte respawnWorldTypeId)
+    public RespawnPacket(byte respawnDimensionId, byte respawnWorldTypeId)
     {
         this.respawnDimensionId = respawnDimensionId;
         this.respawnWorldTypeId = respawnWorldTypeId;
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleRespawn(this);
+        packetHandler.handleRespawn(this);
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         respawnDimensionId = dis.readByte();
@@ -35,7 +38,7 @@ public class Packet9Respawn extends Packet
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeByte(respawnDimensionId);
@@ -43,11 +46,8 @@ public class Packet9Respawn extends Packet
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 2;
     }
-
-    public byte respawnDimensionId;
-    public byte respawnWorldTypeId;
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java b/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
new file mode 100644
index 000000000..a4bae91e8
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
@@ -0,0 +1,49 @@
+package net.minecraft.core.net.packet;
+
+import net.minecraft.core.net.handler.PacketHandler;
+
+import java.io.*;
+
+// Referenced classes of package net.minecraft.src:
+//            Packet, PacketHandler
+
+public class SetCarriedItemPacket extends Packet
+{
+
+    public SetCarriedItemPacket()
+    {
+    }
+
+    public SetCarriedItemPacket(int i)
+    {
+        id = i;
+    }
+
+    @Override
+	public void read(DataInputStream dis)
+        throws IOException
+    {
+        id = dis.readShort();
+    }
+
+    @Override
+	public void write(DataOutputStream dos)
+        throws IOException
+    {
+        dos.writeShort(id);
+    }
+
+    @Override
+	public void handlePacket(PacketHandler packetHandler)
+    {
+        packetHandler.handleBlockItemSwitch(this);
+    }
+
+    @Override
+	public int getEstimatedSize()
+    {
+        return 2;
+    }
+
+    public int id;
+}
diff --git a/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java b/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
new file mode 100644
index 000000000..29653a156
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
@@ -0,0 +1,60 @@
+package net.minecraft.core.net.packet;
+
+import net.minecraft.core.net.handler.PacketHandler;
+import net.minecraft.core.world.data.SynchedEntityData;
+
+import java.io.*;
+import java.util.List;
+
+// Referenced classes of package net.minecraft.src:
+//            Packet, DataWatcher, PacketHandler
+
+public class SetEntityDataPacket extends Packet
+{
+
+    public SetEntityDataPacket()
+    {
+    }
+    
+    public SetEntityDataPacket(int i, SynchedEntityData datawatcher)
+    {
+        entityId = i;
+        packedItems = datawatcher.packDirty();
+    }
+
+    @Override
+	public void read(DataInputStream dis)
+        throws IOException
+    {
+        entityId = dis.readInt();
+        packedItems = SynchedEntityData.unpack(dis);
+    }
+
+    @Override
+	public void write(DataOutputStream dos)
+        throws IOException
+    {
+        dos.writeInt(entityId);
+        SynchedEntityData.pack(packedItems, dos);
+    }
+
+    @Override
+	public void handlePacket(PacketHandler packetHandler)
+    {
+        packetHandler.handleEntityMetadata(this);
+    }
+
+    @Override
+	public int getEstimatedSize()
+    {
+        return 5;
+    }
+
+    public List<SynchedEntityData.DataItem<?>> getUnpackedData()
+    {
+        return packedItems;
+    }
+
+    public int entityId;
+    private List<SynchedEntityData.DataItem<?>> packedItems;
+}
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet28EntityVelocity.java b/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
similarity index 71%
rename from src/main/java/net/minecraft/core/net/packet/Packet28EntityVelocity.java
rename to src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
index 951c1b430..3daddafcf 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet28EntityVelocity.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
@@ -1,26 +1,26 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, Entity, NetHandler
+//            Packet, Entity, PacketHandler
 
-public class Packet28EntityVelocity extends Packet
+public class SetEntityMotionPacket extends Packet
 {
 
-    public Packet28EntityVelocity()
+    public SetEntityMotionPacket()
     {
     }
 
-    public Packet28EntityVelocity(Entity entity)
+    public SetEntityMotionPacket(Entity entity)
     {
         this(entity.id, entity.xd, entity.yd, entity.zd);
     }
 
-    public Packet28EntityVelocity(int i, double d, double d1, double d2)
+    public SetEntityMotionPacket(int i, double d, double d1, double d2)
     {
         entityId = i;
         double d3 = 3.8999999999999999D;
@@ -54,7 +54,7 @@ public class Packet28EntityVelocity extends Packet
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         entityId = dis.readInt();
@@ -64,7 +64,7 @@ public class Packet28EntityVelocity extends Packet
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeInt(entityId);
@@ -74,13 +74,13 @@ public class Packet28EntityVelocity extends Packet
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleEntityVelocity(this);
+        packetHandler.handleEntityVelocity(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 10;
     }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet5PlayerInventory.java b/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
similarity index 62%
rename from src/main/java/net/minecraft/core/net/packet/Packet5PlayerInventory.java
rename to src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
index 7846acc14..c04a9f500 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet5PlayerInventory.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
@@ -2,74 +2,74 @@ package net.minecraft.core.net.packet;
 
 import net.minecraft.core.item.ItemStack;
 import com.mojang.nbt.CompoundTag;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet5PlayerInventory extends Packet
+public class SetEquippedItemPacket extends Packet
 {
+    public int entityID;
+    public int slot;
+    public int itemID;
+    public int itemMeta;
+    public CompoundTag itemData;
+
 
-    public Packet5PlayerInventory()
+    public SetEquippedItemPacket()
     {
     }
-    
-    public Packet5PlayerInventory(int entityID, int slot, ItemStack itemstack)
+
+    public SetEquippedItemPacket(int entityID, int slot, ItemStack itemstack)
     {
         this.entityID = entityID;
         this.slot = slot;
         if(itemstack == null)
         {
             itemID = -1;
-            itemDamage = 0;
+            itemMeta = 0;
             itemData = new CompoundTag();
         } else
         {
             itemID = itemstack.itemID;
-            itemDamage = itemstack.getMetadata();
+            itemMeta = itemstack.getMetadata();
             itemData = itemstack.getData();
         }
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         entityID = dis.readInt();
         slot = dis.readShort();
         itemID = dis.readShort();
-        itemDamage = dis.readShort();
+        itemMeta = dis.readShort();
         itemData = readCompressedCompoundTag(dis);
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeInt(entityID);
         dos.writeShort(slot);
         dos.writeShort(itemID);
-        dos.writeShort(itemDamage);
+        dos.writeShort(itemMeta);
         writeCompressedCompoundTag(itemData, dos);
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handlePlayerInventory(this);
+        packetHandler.handlePlayerInventory(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 8;
     }
-
-    public int entityID;
-    public int slot;
-    public int itemID;
-    public int itemDamage;
-    public CompoundTag itemData;
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet8UpdateHealth.java b/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
similarity index 50%
rename from src/main/java/net/minecraft/core/net/packet/Packet8UpdateHealth.java
rename to src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
index 2c771138b..06c6d2524 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet8UpdateHealth.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
@@ -1,49 +1,49 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
 // Referenced classes of package net.minecraft.src:
-//            Packet, NetHandler
+//            Packet, PacketHandler
 
-public class Packet8UpdateHealth extends Packet
+public class SetHealthPacket extends Packet
 {
+    public int healthMP;
+
 
-    public Packet8UpdateHealth()
+    public SetHealthPacket()
     {
     }
-    
-    public Packet8UpdateHealth(int i)
+
+    public SetHealthPacket(int i)
     {
         healthMP = i;
     }
 
     @Override
-	public void readPacketData(DataInputStream dis)
+	public void read(DataInputStream dis)
         throws IOException
     {
         healthMP = dis.readShort();
     }
 
     @Override
-	public void writePacketData(DataOutputStream dos)
+	public void write(DataOutputStream dos)
         throws IOException
     {
         dos.writeShort(healthMP);
     }
 
     @Override
-	public void processPacket(NetHandler netHandler)
+	public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleUpdateHealth(this);
+        packetHandler.handleUpdateHealth(this);
     }
 
     @Override
-	public int getPacketSize()
+	public int getEstimatedSize()
     {
         return 2;
     }
-
-    public int healthMP;
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/SetHotbarOffsetPacket.java b/src/main/java/net/minecraft/core/net/packet/SetHotbarOffsetPacket.java
new file mode 100644
index 000000000..e67e7ca9c
--- /dev/null
+++ b/src/main/java/net/minecraft/core/net/packet/SetHotbarOffsetPacket.java
@@ -0,0 +1,46 @@
+package net.minecraft.core.net.packet;
+
+import net.minecraft.core.net.handler.PacketHandler;
+
+import java.io.DataInputStream;
+import java.io.DataOutputStream;
+import java.io.IOException;
+
+public class SetHotbarOffsetPacket extends Packet
+{
+    public int hotbarOffset;
+
+    public SetHotbarOffsetPacket(int hotbarOffset)
+    {
+        this.hotbarOffset = hotbarOffset;
+    }
+
+    public SetHotbarOffsetPacket()
+    {
+    }
+
+    @Override
+    public void read(DataInputStream dis) throws IOException
+    {
+        hotbarOffset = dis.readByte();
+    }
+
+    @Override
+    public void write(DataOutputStream dos) throws IOException
+    {
+        dos.writeByte(hotbarOffset);
+    }
+
+    @Override
+    public void handlePacket(PacketHandler packetHandler)
+    {
+        packetHandler.handleSetHotbarOffset(this);
+    }
+
+    @Override
+    public int getEstimatedSize() {
+        return 0;
+    }
+
+
+}
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet137SetItemName.java b/src/main/java/net/minecraft/core/net/packet/SetItemNamePacket.java
similarity index 50%
rename from src/main/java/net/minecraft/core/net/packet/Packet137SetItemName.java
rename to src/main/java/net/minecraft/core/net/packet/SetItemNamePacket.java
index 3571295f7..b0b7a5870 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet137SetItemName.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetItemNamePacket.java
@@ -1,40 +1,40 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet137SetItemName extends Packet{
+public class SetItemNamePacket extends Packet{
     public int slot;
     public String name;
-    public Packet137SetItemName() { }
+    public SetItemNamePacket() { }
 
-    public Packet137SetItemName(int slot, String name)
+    public SetItemNamePacket(int slot, String name)
     {
         this.slot = slot;
         this.name = name;
     }
     @Override
-    public void readPacketData(DataInputStream dis) throws IOException {
+    public void read(DataInputStream dis) throws IOException {
         this.slot = dis.readInt();
         this.name = dis.readUTF();
     }
 
     @Override
-    public void writePacketData(DataOutputStream dos) throws IOException {
+    public void write(DataOutputStream dos) throws IOException {
         dos.writeInt(slot);
         dos.writeUTF(name);
     }
 
     @Override
-    public void processPacket(NetHandler netHandler) {
-        netHandler.handleItemName(this);
+    public void handlePacket(PacketHandler packetHandler) {
+        packetHandler.handleItemName(this);
     }
 
     @Override
-    public int getPacketSize() {
+    public int getEstimatedSize() {
         return 2;
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet132SetMobSpawner.java b/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
similarity index 64%
rename from src/main/java/net/minecraft/core/net/packet/Packet132SetMobSpawner.java
rename to src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
index bef1bd3d3..6fd51377a 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet132SetMobSpawner.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
@@ -1,22 +1,22 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet132SetMobSpawner extends Packet {
+public class SetMobSpawnerPacket extends Packet {
     public int xPosition;
     public int yPosition;
     public int zPosition;
     public String spawnType;
 
-    public Packet132SetMobSpawner() {
+    public SetMobSpawnerPacket() {
         isChunkDataPacket = true;
     }
 
-    public Packet132SetMobSpawner(int x, int y, int z, String spawnType) {
+    public SetMobSpawnerPacket(int x, int y, int z, String spawnType) {
         isChunkDataPacket = true;
         this.xPosition = x;
         this.yPosition = y;
@@ -26,7 +26,7 @@ public class Packet132SetMobSpawner extends Packet {
     }
 
     @Override
-	public void readPacketData(DataInputStream dis) throws IOException {
+	public void read(DataInputStream dis) throws IOException {
         xPosition = dis.readInt();
         yPosition = dis.readShort();
         zPosition = dis.readInt();
@@ -34,7 +34,7 @@ public class Packet132SetMobSpawner extends Packet {
     }
 
     @Override
-	public void writePacketData (DataOutputStream dos) throws IOException {
+	public void write(DataOutputStream dos) throws IOException {
         dos.writeInt(xPosition);
         dos.writeShort(yPosition);
         dos.writeInt(zPosition);
@@ -42,12 +42,12 @@ public class Packet132SetMobSpawner extends Packet {
     }
 
     @Override
-	public void processPacket (NetHandler netHandler){
-        netHandler.handleSetMobSpawner(this);
+	public void handlePacket(PacketHandler packetHandler){
+        packetHandler.handleSetMobSpawner(this);
     }
 
     @Override
-	public int getPacketSize () {
+	public int getEstimatedSize() {
         return 12 + spawnType.length();
     }
 }
\ No newline at end of file
diff --git a/src/main/java/net/minecraft/core/net/packet/Packet139SetPaintingMotive.java b/src/main/java/net/minecraft/core/net/packet/SetPaintingArtPacket.java
similarity index 51%
rename from src/main/java/net/minecraft/core/net/packet/Packet139SetPaintingMotive.java
rename to src/main/java/net/minecraft/core/net/packet/SetPaintingArtPacket.java
index a046c1e61..90ac9ac75 100644
--- a/src/main/java/net/minecraft/core/net/packet/Packet139SetPaintingMotive.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetPaintingArtPacket.java
@@ -1,46 +1,46 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.enums.ArtType;
-import net.minecraft.core.net.handler.NetHandler;
+import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-public class Packet139SetPaintingMotive
+public class SetPaintingArtPacket
     extends Packet
 {
     public int motive;
 
-    public Packet139SetPaintingMotive()
+    public SetPaintingArtPacket()
     {
     }
 
-    public Packet139SetPaintingMotive(ArtType art)
+    public SetPaintingArtPacket(ArtType art)
     {
         this.motive = ArtType.values.indexOf(art);
     }
 
     @Override
-    public void readPacketData(DataInputStream dis) throws IOException
+    public void read(DataInputStream dis) throws IOException
     {
         motive = dis.readInt();
     }
 
     @Override
-    public void writePacketData(DataOutputStream dos) throws IOException
+    public void write(DataOutputStream dos) throws IOException
     {
         dos.writeInt(motive);
     }
 
     @Override
-    public void processPacket(NetHandler netHandler)
+    public void handlePacket(PacketHandler packetHandler)
     {
-        netHandler.handleSetPaintingMotive(this);
+        packetHandler.handleSetPaintingMotive(this);
     }
 
     @Override
-    public int getPacketSize()
+    public int getEstimatedSize()
     {
         return 0;
     }
